Get Call
curl --request GET \
--url https://api.vocode.dev/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vocode.dev/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vocode.dev/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_number": "<string>",
"from_number": "<string>",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "",
"collect_fields": [
{
"field_type": "field_type_email",
"label": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"context_endpoint": "<string>",
"prompt_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required_context_keys": [
"<string>"
],
"label": ""
}
},
"actions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "action_transfer_call",
"config": {
"phone_number": "<string>"
},
"action_trigger": {
"type": "action_trigger_function_call",
"config": {}
}
}
],
"voice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "voice_azure",
"voice_name": "<string>",
"pitch": 0,
"rate": 15
},
"name": "<string>",
"language": "en",
"initial_message": "<string>",
"webhook": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptions": [],
"url": "<string>",
"method": "POST"
},
"vector_database": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vector_database_pinecone",
"index": "<string>",
"api_key": "<string>",
"api_environment": "<string>"
},
"interrupt_sensitivity": "low",
"context_endpoint": "<string>",
"noise_suppression": false,
"endpointing_sensitivity": "auto",
"ivr_navigation_mode": "off",
"conversation_speed": 1,
"initial_message_delay": 0,
"openai_model_name_override": "<string>",
"ask_if_human_present_on_idle": false,
"openai_account_connection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": {
"openai_api_key": "<string>"
},
"type": "account_connection_openai"
},
"run_do_not_call_detection": false,
"llm_fallback": {
"model_name": "<string>"
},
"deepgram_keywords": {},
"idle_time_seconds": 123,
"llm_temperature": 0
},
"agent_phone_number": "<string>",
"status": "not_started",
"error_message": "<string>",
"recording_available": false,
"transcript": "<string>",
"do_not_call_result": true,
"telephony_id": "<string>",
"telephony_metadata": {
"type": "telephony_metadata_vonage"
},
"start_time": "<string>",
"end_time": "<string>",
"hipaa_compliant": false,
"context": {},
"run_do_not_call_detection": true,
"telephony_account_connection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": {
"twilio_account_sid": "<string>",
"twilio_auth_token": "<string>"
},
"type": "account_connection_twilio",
"steering_pool": [
"<string>"
],
"account_supports_any_caller_id": false
},
"telephony_params": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Calls
Get Call
GET
/
v1
/
calls
Get Call
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Available options:
vonage, twilio Available options:
not_started, in_progress, error, ended Available options:
human, no_human Available options:
created, picked_up, transfer_started, transfer_successful Available options:
human_unanswered, call_did_not_connect, human_disconnected, bot_disconnected, transfer_unanswered, transfer_disconnected - VonageTelephonyMetadata
- TwilioTelephonyMetadata
Show child attributes
Show child attributes
Available options:
continue, hangup Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
